[@rxap/material-table-system](../wiki/globals) / TableColumnFilterService

# Class: TableColumnFilterService

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:8](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts#L8)

## Implements

- `FilterLike`

## Constructors

### new TableColumnFilterService()

> **new TableColumnFilterService**(): [`TableColumnFilterService`](../wiki/Class.TableColumnFilterService)

#### Returns

[`TableColumnFilterService`](../wiki/Class.TableColumnFilterService)

## Properties

### change

> `readonly` **change**: `BehaviorSubject`\<`Record`\<`string`, `string`\>\>

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:9](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts#L9)

#### Implementation of

`FilterLike.change`

## Accessors

### current

#### Get Signature

> **get** **current**(): `Record`\<`string`, `string`\>

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:10](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts#L10)

##### Returns

`Record`\<`string`, `string`\>

#### Implementation of

`FilterLike.current`

## Methods

### setFilter()

> **setFilter**(`column`, `value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:14](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts#L14)

#### Parameters

##### column

`string`

##### value

`undefined` | `null` | `string`

#### Returns

`void`
